<?php

// Form override fo theme settings
function meedjum_form_system_theme_settings_alter(&$form, $form_state) {
  $form['clear_registry'] = array(
    '#type' => 'checkbox',
    '#title' =>  t('Rebuild theme registry on every page.'),
    '#description'   =>t('During theme development, it can be very useful to continuously <a href="!link">rebuild the theme registry</a>. WARNING: this is a huge performance penalty and must be turned off on production websites.', array('!link' => 'http://drupal.org/node/173880#theme-registry')),
    '#default_value' => theme_get_setting('clear_registry'),
  );
  $use_meedjum_fonts = theme_get_setting('use_meedjum_fonts');
  $form['use_meedjum_fonts'] = array(
    '#type' => 'checkbox',
    '#title' => t('Use the default fonts provided by Meedjum'),
    '#description' => t('Meedjum utilizes Enriqueta and Source Sans Pro. You can disable them from being loaded.'),
    '#default_value' => ($use_meedjum_fonts === NULL) ? 1 : 0,
  );
}
